package cn.pluss.platform.newArea.impl;

import java.util.List;
import java.util.Map;
import org.springframework.transaction.annotation.Transactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.pluss.platform.entity.NewArea;
import cn.pluss.platform.newArea.NewAreaService;
import cn.pluss.platform.mapper.NewAreaMapper;

@Transactional
@Service("newAreaService")
public class NewAreaServiceImpl  implements NewAreaService{

	 private static final Logger logger = LoggerFactory.getLogger( NewAreaServiceImpl.class);


    @Autowired
	  private NewAreaMapper newAreaMapper;

    @Override
    public NewArea queryNewArea(NewArea newArea){
        return newAreaMapper.queryNewArea(newArea);
    }

    @Override
    public List<NewArea> queryNewAreaList(NewArea newArea){
        return newAreaMapper.queryNewAreaList(newArea);
    }
    @Override
    public void saveNewArea(NewArea newArea){
          newAreaMapper.saveNewArea(newArea);
    }
    @Override
    public void updateNewArea(NewArea newArea){
        newAreaMapper.updateNewArea(newArea);
    }
    @Override
    public void deleteNewArea(NewArea newArea){
        newAreaMapper.deleteNewArea(newArea);
    }
    @Override
    public List<NewArea> queryNewAreaPage(Map map){
        return newAreaMapper.queryNewAreaPage(map);
    }
    @Override
    public Integer queryNewAreaPageCount(Map map){
        return newAreaMapper.queryNewAreaPageCount(map);
    }
    @Override
    public void saveNewAreaBatch(List<NewArea> newAreaList) {
         newAreaMapper.saveNewAreaBatch(newAreaList);
    }
}

